'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.exists = exists;
exports.deleteDir = deleteDir;
exports.isSite = isSite;

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function exists(path) {
  try {
    _fsExtra2.default.statSync(path);
    return true;
  } catch (err) {
    return false;
  }
}

function deleteDir(filePath, leaveDist, callback) {
  var me = this;

  _fsExtra2.default.readdirSync(filePath).forEach(function (file, index) {
    var curPath = filePath + '/' + file;
    var details = _path2.default.parse(curPath);

    if (_fsExtra2.default.statSync(curPath).isDirectory()) {
      if (details.name !== '.git') {
        me.deleteDir(curPath);
      }
    } else if (details.base !== '.gitignore') {
      _fsExtra2.default.unlinkSync(curPath);
    }
  });

  if (!leaveDist) {
    _fsExtra2.default.rmdirSync(filePath);
  }

  if (typeof callback == 'function') {
    callback();
  }
}

function isSite() {
  var pkgPath = process.cwd() + '/package.json';

  if (!exports.exists(pkgPath)) {
    return false;
  }

  var pkg = require(pkgPath);

  if (!pkg.scripts || !pkg.scripts.start) {
    return false;
  }

  var startScript = pkg.scripts.start;
  return startScript.includes('cory');
}