'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (event, file) {
  if (event !== 'change') {
    return;
  }

  var dir = _path2.default.dirname(file);
  var lastSlash = dir.lastIndexOf('/');

  dir = dir.substring(lastSlash + 1);

  var Paths = function Paths() {
    this.full = file;
    this.relative = this.full.replace(process.cwd(), '').replace('scss', 'css');
  };

  this.paths = new Paths();
  this.name = _path2.default.basename(this.paths.relative);

  if (dir === 'layouts') {
    var walker = _walk2.default.walk(process.cwd() + '/pages');

    walker.on('file', function (root, fileStat, next) {
      var newPaths = new Paths();

      newPaths.full = _path2.default.resolve(root, fileStat.name);
      newPaths.relative = newPaths.full.replace(process.cwd(), '');

      (0, _compiler.run)(newPaths, next);
    });

    walker.on('end', finished.bind(this));

    return;
  }

  (0, _compiler.run)(this.paths, finished.bind(this));
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _walk = require('walk');

var _walk2 = _interopRequireDefault(_walk);

var _compiler = require('./compiler');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function finished() {
  if (this.reload) {
    return this.reload(this.name);
  }

  console.log('File ' + this.paths.relative.gray + ' changed, rebuilt finished');
}